commandwindow
clear
clc
t0=0;
z0=0;
tf=0.10;
zf=2;
dz=0.2;
dt=0.01;
c=1.79;
r=c*(dt/(dz^2));
t=[t0:dt:tf]'
z=[z0:dz:zf]
n=(zf-z0)/dz
m=(tf-t0)/dt
T(1:m+1,1)=zeros(m+1,1);
T(1:m+1,n+1)=16;
T(1,1:n+1)=2*(z.^3);
for j=1:m
        for i =2:n
            T(j+1,i)=r*T(j,i-1)+(1-(2*r))*T(j,i)+ r*T(j,i+1)
        end
end
T
subplot(1,2,1)
mesh(z,t,T)
subplot(1,2,2)
surf(z,t,T)